<form [formGroup]="form">
  <div class="row">
    <!-- ------------ Naam --------------------------------------- -->
    <div class="form-group col-xs">
      <label for="name">Leerdoel</label>

      <textarea
        type="text"
        rows="2"
        formControlName="name"
        placeholder="De student [actie], waarbij [opties], zodanig dat [concreet doel bereikt wordt]."
        class="form-control"
        [class.is-invalid]="nameControlInvalid"
        required
        minlength="10"
      ></textarea>
      <div class="invalid-feedback" *ngIf="nameControlInvalid">
        <p>Naam is een verplicht veld.</p>
      </div>
    </div>
  </div>

  <!-- ------------ Korte beschrijving --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <label for="shortDescription">Korte beschrijving</label>
      <input
        type="text"
        formControlName="shortDescription"
        placeholder="Hier een beschrijving"
        class="form-control"
        [class.is-invalid]="shortDescriptionControlInvalid"
        required
        minlength="3"
      />
      <div class="invalid-feedback" *ngIf="shortDescriptionControlInvalid">
        <p>Een korte beschrijving is verplicht.</p>
      </div>
    </div>
  </div>

  <!-- ------------ Lange beschrijving --------------------------- -->
  <div class="row" style="display: block;">
    <div class="form-group col-xs">
      <label for="longDescription">Toelichting</label>

      <quill-editor
        id="longDescription"
        [style]="{ height: '160px' }"
        formControlName="longDescription"
        placeholder="Toelichting bestemd voor geïnteresseerde studenten"
        [class.is-invalid]="longDescriptionControlInvalid"
        format="html"
        [sanitize]="true"
      >
      </quill-editor>
    </div>
  </div>

  <!-- ------------ Administratieve opmerking --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <label for="administrativeRemark">Administratieve opmerking</label>
      <textarea
        type="text"
        rows="2"
        class="form-control"
        formControlName="administrativeRemark"
        placeholder="Aantekening of opmerking voor intern gebruik."
        class="form-control"
      ></textarea>
    </div>
  </div>

  <!-- ------------ Realiseert eindkwalificaties --------------------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <h2>Eindkwalificaties</h2>
      <p>Een leerdoel draagt bij aan één of meer eindkwalificaties.</p>
      <label for="qualifications">Leerlijn</label>

      <input
        type="text"
        formControlName="qualifications"
        placeholder="Hier een beschrijving"
        class="form-control"
        [class.is-invalid]="nameControlInvalid"
        required
      />
      <div class="invalid-feedback" *ngIf="nameControlInvalid">
        <p>Leerlijn is een verplicht veld.</p>
      </div>
    </div>
  </div>

  <!-- ------------ Gekoppelde leerlijn(en) --------------------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <h2>Leerlijn</h2>
      <p>Een leerdoel draagt bij aan één of meer leerlijnen.</p>
      <label for="learningLine">Leerlijn</label>

      <input
        type="text"
        formControlName="learningLine"
        placeholder="Hier een beschrijving"
        class="form-control"
        [class.is-invalid]="nameControlInvalid"
        required
      />
      <div class="invalid-feedback" *ngIf="nameControlInvalid">
        <p>Leerlijn is een verplicht veld.</p>
      </div>
    </div>
  </div>

  <!-- ------------ Gekoppelde onderwijseenheid --------------------------------------- -->
  <div class="row">
    <h2>Onderwijseenheid</h2>
    <p>
      Een leerdoel wordt gerealiseerd in precies 1 onderwijseenheid. Selecteer hier de onderwijseenheid.
    </p>
    <div class="form-group col-xs-5">
      <!-- <label for="module">Onderwijseenheid</label> -->

      <select formControlName="module" class="form-control" [class.is-invalid]="nameControlInvalid" required>
        <option *ngFor="let person of persons$ | async" [value]="person.id">{{ person.fullName }}</option>
      </select>

      <div class="invalid-feedback" *ngIf="nameControlInvalid">
        <p>Een onderwijseenheid is verplicht.</p>
      </div>
    </div>
  </div>

  <!-- ------------ Buttons -------------------------------------- -->
  <div class="row">
    <div class="col-auto">
      <div class="form-group">
        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid"
          *ngIf="!exists"
          (click)="createItem(form)"
        >
          Create item
        </button>

        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid"
          *ngIf="exists"
          (click)="updateItem(form)"
        >
          Update item
        </button>

        <button type="button" class="btn btn-outline-warning" *ngIf="exists" (click)="removeItem(form)">
          Verwijder item
        </button>

        <button type="button" class="btn btn-spacing btn-outline-warning" (click)="onCancel()">
          Cancel
        </button>
      </div>
    </div>
  </div>
</form>
